It should indeed be enabled by default, but I don't see anything that packages the resulting providergoa.so file. You'll have to file a feature request against Ubuntu to get that file packaged in either syncevolution-libs-gnome or a separate syncevolution-provider-goa.

Yes. That's the reason. Ubuntu does not package "providergoa.so" which makes it impossible to make it work with GOA. I filed a bug here: https://bugs.launchpad.net/ubuntu/+source/syncevolution/+bug/1406200

Thanks.